/* Copyright (C) 2000-2008 by George Williams */
/*
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are met:

 * Redistributions of source code must retain the above copyright notice, this
 * list of conditions and the following disclaimer.

 * Redistributions in binary form must reproduce the above copyright notice,
 * this list of conditions and the following disclaimer in the documentation
 * and/or other materials provided with the distribution.

 * The name of the author may not be used to endorse or promote products
 * derived from this software without specific prior written permission.

 * THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 * WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 * EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 * PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 * OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 * WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 * OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
 * ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
#ifndef _GIOFUNCP_H
#define _GIOFUNCP_H

#include "gioP.h"

extern void _GIO_localDispatch(GIOControl *gc);
extern void *_GIO_fileDispatch(GIOControl *gc);
void _GIO_ReportHeaders(char *format, ...);
void _GIO_reporterror(GIOControl *gc, int errn);
void _GIO_PostSuccess(GIOControl *gc);
void _GIO_PostInter(GIOControl *gc);
void _GIO_PostError(GIOControl *gc);
void _GIO_RequestAuthorization(GIOControl *gc);
struct hostdata *_GIO_LookupHost(char *host);

extern char *_GIO_decomposeURL(const unichar_t *url,char **host, int *port,
	char **username, char **password);

extern unichar_t *_GIO_translateURL(unichar_t *, enum giofuncs gf);
extern struct stdfuncs _GIO_stdfuncs;
#endif
